/* set or show the current working directory; applied to file names (NOT
    path names) of include files and log files */!!

inherit(Object, #CLIWorkDirNode, #(workDir  /* if nil, show current work dir */), 2, nil)!!

now(class(CLIWorkDirNode))!!

now(CLIWorkDirNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  if workDir
    CLICodeCompile("setWorkDir(self, ");
    CLICodeCompile(workDir);
    CLICodeCompile(")");
  else
    CLICodeCompile("showWorkDir(self)");
  endif;
}!!

Def init(self, dir)
{
  workDir := dir;
}!!